## org.apache.commons.math
Class MaxIterationsExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ConvergenceException
                      org.apache.commons.math.MaxIterationsExceededException

All Implemented Interfaces:
  java.io.Serializable

    public class MaxIterationsExceededException

extends ConvergenceException

Error thrown when a numerical computation exceeds its allowed number of iterations.

Since:
  1.2
Version:
  $Revision: 746578 $ $Date: 2009-02-21 15:01:14 -0500 (Sat, 21 Feb 2009) $
See Also:
  Serialized Form

Field Summary
`private int` `maxIterations` Maximal number of iterations allowed.
`private static long` `serialVersionUID` Serializable version identifier.

Constructor Summary
`MaxIterationsExceededException(int maxIterations)` Constructs an exception with specified formatted detail message.
`MaxIterationsExceededException(int maxIterations, java.lang.String pattern, java.lang.Object... arguments)` Constructs an exception with specified formatted detail message.

Method Summary
`int` `getMaxIterations()` Get the maximal number of iterations allowed.

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

### maxIterations

    private final int maxIterations

  Maximal number of iterations allowed.

Constructor Detail

### MaxIterationsExceededException

    public MaxIterationsExceededException(int maxIterations)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `maxIterations` - maximal number of iterations allowed

### MaxIterationsExceededException

    public MaxIterationsExceededException(int maxIterations,
                                          java.lang.String pattern,
                                          java.lang.Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `maxIterations` - the exceeded maximal number of iterations
    `pattern` - format specifier
    `arguments` - format arguments

Method Detail

### getMaxIterations

    public int getMaxIterations()

  Get the maximal number of iterations allowed.

  Returns:
    maximal number of iterations allowed

Copyright (c) 2003-2011 Apache Software Foundation